# Event ProviderLeft()

### event ProviderLeft()

This event triggers when a liquidity provider leaves a rewards program.&#x20;

{% code title="StandardRewards.sol" %}

```solidity
event ProviderLeft(
        Token indexed pool,
        uint256 indexed programId,
        address indexed provider,
        uint256 poolTokenAmount,
        uint256 remainingStake
);
```

{% endcode %}

| Parameter Name  | Type          | Description                                                                       |
| --------------- | ------------- | --------------------------------------------------------------------------------- |
| pool            | Token address | The address of the token being added to the rewards program                       |
| programId       | uint256       | The ID of the rewards program                                                     |
| provider        | address       | The address of the user                                                           |
| poolTokenAmount | uint256       | The number of pool tokens being added                                             |
| prevStake       | unit256       | The number of pool tokens staked in the rewards program prior to this transaction |

### Uses

This event can be used to:

* Monitor withdrawals from rewards programs
* Monitor the number of tokens staked in rewards programs

### Triggered By

This event is triggered by the following functions:

* leave()


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bancor.network/developer-guides/data-and-events/rewards/staking-and-unstaking/event-providerleft.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
